<?php

function escapePhpString($target) {
    $replacements = array(
            "'" => '\\\'',
            "\\" => '\\\\',
            "\r\n" => "\\r\\n",
            "\n" => "\\n"
    );
    return strtr($target, $replacements);
}

include('mpd.php');
$dir = $_REQUEST['dir'];

?>
  <div id="playlist_menu">
	<table>
		<tr>
			<td><span class="button" onclick="RefreshPlaylist()"><img width="20" src="images/playlist.png"></span><td>
			<td><span class="button" onclick="PlaylistEditCommand('addall','<?php echo escapePhpString($dir);?>')" ><img width="20" src="images/addall.png"></span><td>
			<td><span class="button" onclick="PlaylistEditItemsCommand('addselected','<?php echo escapePhpString($dir);?>')"><img width="20" src="images/addselected.png"></span><td>
		</tr>
	</table>
  </div>
  <div id="items">
    <table>
    <tr id="items_heading">
	<td></td><td>Title</td><th colspan="2">Control</th>
    </tr>
    <?php
      $dirs=$mpd->GetDir($dir);
    ?>
      <tr id="home"><td></td><td><span class="button" onclick="EditPlayList('<?php echo escapePhpString(cut_upperDir($dir));?>')"><img width="20" src="images/left.png"></span></td><td></td><td></td>

     <?php for($i=0;$i<count($dirs);$i++) {?>
      <tr id="item<?php if($i%2==0) { echo "Even";}else{echo "Odd";}?>">
	  <td id="track_number"> <a name="<?php echo $i;?>"></a></td>
  	  <?php if($dirs[$i]['type']=="directory") {?>
		<td id="file"><span class="button" onclick="EditPlayList('<?php echo escapePhpString($dirs[$i]['name']);?>')"><?php
			if ($dirs[$i]['name']==$dirs[$i]['title']) {
				echo htmlentities(cut_lastDir($dirs[$i]['name']));
			} else {
				echo htmlentities($dirs[$i]['title']);
			}
		?></span></td><td><span class="button" onclick="PlaylistEditCommand('adddir','<?php echo escapePhpString($dirs[$i]['name']);?>')"><img width="15" src="images/plus.png"></span></td>
	  <?php } else {?>
		<td id="file"><?php
			if ($dirs[$i]['name']==$dirs[$i]['title']) { 
				echo htmlentities(cut_file($dirs[$i]['name']));
			} else {
				echo htmlentities($dirs[$i]['title']);
			}
		?></td><td><span class="button" onclick="PlaylistEditCommand('addfile','<?php echo escapePhpString($dirs[$i]['name']);?>')"><img width="15" src="images/plus.png"></span></td>
	  <?php } ?>
	  <td id="checkbox"><input type="checkbox" name="itemlist[]" value="<?php echo $i;?>"></td>
      </tr>
    <?php
      }
    ?>
    </table>
  </div>

   <div id="playlist_menu">
        <table>
                <tr>
			<td><span class="button" onclick="RefreshPlaylist()"><img width="20" src="images/playlist.png"></span><td>
			<td><span class="button" onclick="PlaylistEditCommand('addall','<?php echo escapePhpString($dir);?>')" ><img width="20" src="images/addall.png"></span><td>
			<td><span class="button" onclick="PlaylistEditItemsCommand('addselected','<?php echo escapePhpString($dir);?>')"><img width="20" src="images/addselected.png"></span><td>
		</tr>
        </table>
  </div>
